[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Idle

Called when the application enters the idle state.

## Declaration

Source position: forms.pp line 1634

`public procedure TApplication.Idle(`
`Wait: Boolean`
`);`

## Arguments

`Wait` |  | Indicates if the method waits for the next message.

## Description

Idle is a method used to perform actions when the application enters an idle state. It allows the application to free components pending release, and handle any queued asynchronous requests.

In addition, Idle calls event and application handlers assigned in the class instance. OnIdle is signalled (when assigned). NotifyIdleHandler is called to signal any application handler(s) using the ahtIdle handler type.

The DoIdleActions method is called to update the actions for Visible and Enabled forms, and to hide visible splash screen forms (FormStyle is fsSplash).

When the Wait argument is set to True, the AppWaitMessage method in the widgetset class is called to capture an message on the handles for the application. This action is not performed when Wait is False.

Idle calls the DoOnIdleEnd method to signal the OnIdleEnd event handler and any application handlers using the ahtIdleEnd handler type.